# Using other Code Editors and IDE's for PHP Development
<style>
    .logo-images { display:inline-flex; flex-direction:column; }
    .logo-images img { display:inline; width:150px; height:150px; }
    .logo-images img[alt='Other Code Editors'] { height:80px; width:80px; margin-top:35px; margin-right:50px; }
    .logo-images span { font-size:100px; margin-right: 40px; margin-top: -5px; }
    @media (min-width:500px) {
        .logo-images { flex-direction:row; }
    }
</style>
<div class="logo-images">
    <img src="../../img/icons/Code-Editor.svg" alt="Other Code Editors">
    <span>+</span>
    <img src="../../img/logos/php.svg" alt="PHP">
</div>

---
## Overview
A large number of widely used IDE's (Integrated Development Environment) and Code Editors exist that can be used for development with PHP.

StackOverflow publishes an Annual Survey of Development Trends including Development Environments used by Software Developers. This page shows a few of the editors. For more see the Survey Results.

https://insights.stackoverflow.com/survey/2019#development-environments-and-tools


---
## JetBrains PhpStorm

JetBrains publishes a premium PHP IDE named PhpStorm. It works on Windows, Mac, and Linux and includes a 30-day free trial. Because PhpStorm is a full-IDE it includes a lot of helpful features not available in other editors which can make getting started with PHP much easier.

https://www.jetbrains.com/phpstorm/

![PhpStorm](https://dydn9njgevbmp.cloudfront.net/img/docs/edit_with_other/PhpStorm.png)

---
## Notepad++

Notepad++ is a free open source code editor that works on Windows Desktops and Windows Servers. It is one of the most widely used Code Editors by Software Developers.

https://notepad-plus-plus.org/

![Notepad++](https://dydn9njgevbmp.cloudfront.net/img/docs/edit_with_other/NotepadPlusPlus.png)

---
## Coda 2

Panic Inc publishes Coda 2 which is a popular premium Code Editor for Mac and iOS. Coda includes a lot of unique and helpful features for developing websites using a Mac. It supports with many languages including PHP, Python, Ruby, and JavaScript.

https://panic.com/coda/

![Panic Inc, Coda 2](https://dydn9njgevbmp.cloudfront.net/img/docs/edit_with_other/Coda2.png)
